# install-plugin

## Purpose

Installs a plugin from a file, URL or name/pair.

## Examples

    griffon install-plugin http://foo.com/griffon-bar-1.0.zip
    griffon install-plugin ../griffon-bar-1.0.zip
    griffon install-plugin bar
    griffon install-plugin bar 1.0

## Description

Usage:

    griffon install-plugin [URL/File]
    griffon install-plugin [name] [version]* --repository=<repositoryName>

The `install-plugin` command is a versatile command that allows the installation of plugins from a remote URL, a local file or from an artifact repository.

To install from a URL simply specify the absolute URL to the plugin package:

    griffon install-plugin http://foo.com/griffon-bar-1.0.zip

To install from a local file specify the absolute or relative path to the file:

    griffon install-plugin ../griffon-bar-1.0.zip

You can also install plugins provided via the remote central repository. To find out what plugins are available use list-plugins

If you want to install a plugin. Say the "coverflow" plugin you can use the install-plugin command followed by the plugin name:

    griffon install-plugin coverflow

This will install the latest version of the plugin. If you need to install a specific version you can use:

    griffon install-plugin coverflow 0.1

Arguments:

- `name` -The name of the plugin to install. You may specify an URL, a zip file or a regular name.
- `version` - The version of the plugin to install. May only be specified if an plugin name is supplied.

Options:

- `repository` - Name of an specific repository where the search will be performed. Defaults to griffon-central